Solved thread

This post is marked as solved. If you think the information contained on this thread must be part of the official documentation, please contribute submitting a pull request to its repository.

Install Phalcon extension on Ubuntu 14.04.2 LTS has error

I follow the steps :

    curl -s https://packagecloud.io/install/repositories/phalcon/stable/script.deb.sh | sudo bash
    sudo apt-get install php5-phalcon

but has error:

    Err https://packagecloud.io/phalcon/stable/ubuntu/ trusty/main php5-phalcon amd64 3.0.1-14
   Resolving timed out after 3512 milliseconds
    E: Failed to fetch https://packagecloud.io/phalcon/stable/ubuntu/pool/trusty/main/p/php-phalcon/php5-       phalcon_3.0.1-14_amd64.deb  Resolving timed out after 3512 milliseconds

    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

i oepn the url https://packagecloud.io/phalcon/stable/ubuntu/,. tips:The page you were looking for doesn't exist , wyh?

i can found resource

        [email protected]:~# apt-cache search phalcon
        php5-phalcon - High performance PHP framework
        php5-phalcon-dbg - Debug symbols for php5-phalcon
        php7.0-phalcon - High performance PHP framework
        php7.0-phalcon-dbg - Debug symbols for php7.0-phalcon

my php version is PHP 5.5.9-1ubuntu4.14

https://packagecloud.io/phalcon/stable/ubuntu/pool/trusty/main/p/php-phalcon/php5-phalcon_3.0.1-14_amd64.deb - works fine for me.

i can oepn this url, but apt-get install php5-phalconnot work in ubuntu.

https://packagecloud.io/phalcon/stable/ubuntu/pool/trusty/main/p/php-phalcon/php5-phalcon_3.0.1-14_amd64.deb - works fine for me.

I don't know. Im just always compiling it from source.



61.0k

maybe your server has some internet / firewall issues ?



2.9k
Accepted
answer

i change other pc ,is work.. maybe network problem

I don't know. Im just always compiling it from source.

firewall is closed. other soft can install , only it can`t install.

maybe your server has some internet / firewall issues ?